PUT /v1/user/interests/settings
Enable or disable the authenticated user's interest tags (B3-4674)
PUT
/v1/user/interests/settings
Enable or disable the authenticated user's interest tags (B3-4674)
Request Body
application/jsonResponses
200
OK
application/jsoncode
integer
data
object
enabled
boolean
per-user, default off
message
string
requestId
string
400
Bad Request
401
Unauthorized
500
Internal Server Error
curl -X PUT 'https://api.example.com/v1/user/interests/settings' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/user/interests/settings', { method: 'PUT', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.put('https://api.example.com/v1/user/interests/settings', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("PUT", "https://api.example.com/v1/user/interests/settings", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "enabled": false }, "message": "success", "requestId": "req_abc123"}
API Playground
Try this endpoint
PUT
/v1/user/interests/settings
